s3types.h File Reference

Size definition of semantically units. More...

`#include <float.h>`
`#include <assert.h>`
`#include <sphinxbase/prim_type.h>`
`#include <sphinxbase/err.h>`
`#include <sphinxbase/ckd_alloc.h>`

Go to the source code of this file.

## Macros

#define | BAD_S3CIPID ((s3cipid_t) -1)
| Ci phone id.
#define | NOT_S3CIPID(p) ((p)<0)
#define | IS_S3CIPID(p) ((p)>=0)
#define | MAX_S3CIPID 32767
#define | BAD_S3PID ((s3pid_t) -1)
| Phone id (triphone or ciphone)
#define | NOT_S3PID(p) ((p)<0)
#define | IS_S3PID(p) ((p)>=0)
#define | MAX_S3PID ((int32)0x7ffffffe)
#define | BAD_S3SSID ((s3ssid_t) 0xffff)
| Senone sequence id (triphone or ciphone)
#define | NOT_S3SSID(p) ((p) == BAD_S3SSID)
#define | IS_S3SSID(p) ((p) != BAD_S3SSID)
#define | MAX_S3SSID ((s3ssid_t)0xfffe)
#define | BAD_S3TMATID ((s3tmatid_t) -1)
| Transition matrix id; there can be as many as pids.
#define | NOT_S3TMATID(t) ((t)<0)
#define | IS_S3TMATID(t) ((t)>=0)
#define | MAX_S3TMATID ((int32)0x7ffffffe)
#define | BAD_S3WID ((s3wid_t) -1)
| Dictionary word id.
#define | NOT_S3WID(w) ((w)<0)
#define | IS_S3WID(w) ((w)>=0)
#define | MAX_S3WID ((int32)0x7ffffffe)

## Typedefs

typedef int16 | s3cipid_t
| Size definitions for more semantially meaningful units. More...
typedef int32 | s3pid_t
typedef uint16 | s3ssid_t
typedef int32 | s3tmatid_t
typedef int32 | s3wid_t

## Detailed Description

Size definition of semantically units.

Common for both s3 and s3.X decoder.

Definition in file s3types.h.

## Typedef Documentation

typedef int16 s3cipid_t

Size definitions for more semantially meaningful units.

Illegal value definitions, limits, and tests for specific types. NOTE: Types will be either int32 or smaller; only smaller ones may be unsigned (i.e., no type will be uint32).

Definition at line 63 of file s3types.h.